summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGary Wong <gtw@gnu.org>2022-03-02 15:22:13 -0700
committerGary Wong <gtw@gnu.org>2022-03-02 15:22:13 -0700
commit71807b423c60ef5585173d9bdb012f9c2f0b2a5f (patch)
tree110f5ae73385561cb96f6def65049ca0b7278244
parent2f9665d93297c83aa5d5537f16340f083718115d (diff)
x11-libs/libnotify: Make notification daemon optional.
-rw-r--r--x11-libs/libnotify/Manifest6
-rw-r--r--x11-libs/libnotify/libnotify-0.7.8.ebuild61
-rw-r--r--x11-libs/libnotify/libnotify-0.7.9-r1.ebuild63
-rw-r--r--x11-libs/libnotify/libnotify-0.7.9.ebuild63
-rw-r--r--x11-libs/libnotify/metadata.xml8
5 files changed, 201 insertions, 0 deletions
diff --git a/x11-libs/libnotify/Manifest b/x11-libs/libnotify/Manifest
new file mode 100644
index 0000000..54824aa
--- /dev/null
+++ b/x11-libs/libnotify/Manifest
@@ -0,0 +1,6 @@
+DIST libnotify-0.7.8.tar.xz 108436 BLAKE2B 0a73eabe58faca55e16774cda6f649ab3187bd73a1f87b538d5098f390571a6a34078883dbd2447731d6e4cae315d8286e9e8acc06e85590c8b05a693a83e7f7 SHA512 9973d7a1af5dd7cfbaa0d0d2c9e72a40df9d814967fde47e95763a69690cc4ed32ecf713d75f91f3dff99a693eff9dab963be124e0530ebf231d517a44e75e94
+DIST libnotify-0.7.9.tar.xz 98148 BLAKE2B 4728d00a204cd1003e8171a54c23bb975c0477c245c1175558f27555763113ec8bd7abd7ef81f6bad2b98604efe436d843958e77473436e68560775804473383 SHA512 8a842b50777279efdb7d96a836a546c47decad158a4f03f7ffc818860d1f6276a657619e4f4a19a4e2f5ad55e0371c793420d50d802983700e8c342273b73874
+EBUILD libnotify-0.7.8.ebuild 1415 BLAKE2B 58e0de2826dd0c2e43cb47061464f308cf9539bc5d8f7a09cd96dc5d3be00d2685fca27c62a135e8e68e1fcfd7b35822582844528f29d83dd186ed7620b42f41 SHA512 fe35b1f045ddad13aaaafb067feeaa261d275369ad97fd871cd640b0a5d250db337e19e555ce2b043bf0431c350707315e4e88b6853fd044831a6524f55b582a
+EBUILD libnotify-0.7.9-r1.ebuild 1517 BLAKE2B 793103c4729be1afbcee6f1aae4ad640fdd64333e2aa9d4da3a955b9dc793735b77e85947a7c3d1f63232f4408f8590c61055151212d23e75b8cf96866cf1f77 SHA512 856537bb25173f3da414fd4f8698a056585b1cde5b89a2636a716380fe309e37c58ec6a300fec1f51d2b2bd9f594c84493a1ad990e531ca3937064d808c273da
+EBUILD libnotify-0.7.9.ebuild 1477 BLAKE2B 41954abaf887c51ecfc56e85b7095a6c26e86a5ea17561bd27bf2ea268b91dfa2f26cafe2deb96b6230218de8e9c87897cb780d4e42164718d1d4fcbd9bef891 SHA512 9776171a40786986c2c6bff4176669aab30d6cf3fd8ab44129cade811ea3f20e3cb433ceae3eaead55af1a64ba9057464a5099b5d8fecf611de821a009202c30
+MISC metadata.xml 277 BLAKE2B 162a6488b60fedbb3de11b54912648c67c13660b9d5fcad374da4aabcf1eeed39df4cfc663191a78c5ecb86bf4888de3000b4302ef09c8398885d31feb3d75a1 SHA512 a3ded783d7aa25ff930b719092f957054d3285ba3fc2ff59d16171ff0420042837a71bef5694f925ea4831db0c278894eb2b509de6640c07b305d08adebb46f9
diff --git a/x11-libs/libnotify/libnotify-0.7.8.ebuild b/x11-libs/libnotify/libnotify-0.7.8.ebuild
new file mode 100644
index 0000000..aac07f1
--- /dev/null
+++ b/x11-libs/libnotify/libnotify-0.7.8.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org meson-multilib xdg-utils
+
+DESCRIPTION="A library for sending desktop notifications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libnotify"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="gtk-doc +introspection test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-eselect/eselect-notify-send
+ >=dev-libs/glib-2.26:2[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/gobject-introspection-common-1.32
+ dev-util/glib-utils
+ virtual/pkgconfig
+ gtk-doc? ( dev-util/gtk-doc
+ app-text/docbook-xml-dtd:4.1.2 )
+ test? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+"
+PDEPEND="virtual/notification-daemon"
+
+src_prepare() {
+ default
+ xdg_environment_reset
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ $(meson_use test tests)
+ $(meson_native_use_feature introspection)
+ $(meson_native_use_bool gtk-doc gtk_doc)
+ -Ddocbook_docs=disabled
+ )
+ meson_src_configure
+}
+
+multilib_src_install() {
+ meson_src_install
+
+ mv "${ED}"/usr/bin/{,libnotify-}notify-send || die #379941
+}
+
+pkg_postinst() {
+ eselect notify-send update ifunset
+}
+
+pkg_postrm() {
+ eselect notify-send update ifunset
+}
diff --git a/x11-libs/libnotify/libnotify-0.7.9-r1.ebuild b/x11-libs/libnotify/libnotify-0.7.9-r1.ebuild
new file mode 100644
index 0000000..4d0a1de
--- /dev/null
+++ b/x11-libs/libnotify/libnotify-0.7.9-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome.org meson-multilib xdg-utils
+
+DESCRIPTION="A library for sending desktop notifications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libnotify"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="gtk-doc +introspection notification test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/glib-2.26:2[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/gobject-introspection-common-1.32
+ dev-util/glib-utils
+ virtual/pkgconfig
+ app-text/docbook-xsl-ns-stylesheets
+ dev-libs/libxslt
+ gtk-doc? ( dev-util/gtk-doc
+ app-text/docbook-xml-dtd:4.1.2 )
+ test? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+"
+IDEPEND="app-eselect/eselect-notify-send"
+PDEPEND="notification? ( virtual/notification-daemon )"
+
+src_prepare() {
+ default
+ xdg_environment_reset
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ $(meson_use test tests)
+ $(meson_native_use_feature introspection)
+ $(meson_native_use_bool gtk-doc gtk_doc)
+ -Ddocbook_docs=disabled
+ )
+ meson_src_configure
+}
+
+multilib_src_install() {
+ meson_src_install
+
+ mv "${ED}"/usr/bin/{,libnotify-}notify-send || die #379941
+}
+
+pkg_postinst() {
+ eselect notify-send update ifunset
+}
+
+pkg_postrm() {
+ eselect notify-send update ifunset
+}
diff --git a/x11-libs/libnotify/libnotify-0.7.9.ebuild b/x11-libs/libnotify/libnotify-0.7.9.ebuild
new file mode 100644
index 0000000..c06d463
--- /dev/null
+++ b/x11-libs/libnotify/libnotify-0.7.9.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org meson-multilib xdg-utils
+
+DESCRIPTION="A library for sending desktop notifications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/libnotify"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE="gtk-doc +introspection test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-eselect/eselect-notify-send
+ >=dev-libs/glib-2.26:2[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ >=dev-libs/gobject-introspection-common-1.32
+ dev-util/glib-utils
+ virtual/pkgconfig
+ app-text/docbook-xsl-ns-stylesheets
+ dev-libs/libxslt
+ gtk-doc? ( dev-util/gtk-doc
+ app-text/docbook-xml-dtd:4.1.2 )
+ test? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+"
+PDEPEND="virtual/notification-daemon"
+
+src_prepare() {
+ default
+ xdg_environment_reset
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ $(meson_use test tests)
+ $(meson_native_use_feature introspection)
+ $(meson_native_use_bool gtk-doc gtk_doc)
+ -Ddocbook_docs=disabled
+ )
+ meson_src_configure
+}
+
+multilib_src_install() {
+ meson_src_install
+
+ mv "${ED}"/usr/bin/{,libnotify-}notify-send || die #379941
+}
+
+pkg_postinst() {
+ eselect notify-send update ifunset
+}
+
+pkg_postrm() {
+ eselect notify-send update ifunset
+}
diff --git a/x11-libs/libnotify/metadata.xml b/x11-libs/libnotify/metadata.xml
new file mode 100644
index 0000000..76d4eb2
--- /dev/null
+++ b/x11-libs/libnotify/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>freedesktop-bugs@gentoo.org</email>
+ <name>Gentoo Freedesktop Project</name>
+ </maintainer>
+</pkgmetadata>